# Note that this is NOT a relocatable package
%define name	smpeg
%define summary SDL MPEG Library
%define version	0.4.0
%define release 10mdk
%define exec %{_bindir}/gtv
%define section Multimedia/Video

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Icon: video_32x32.xpm
Copyright: LGPL
Source: %{name}-%{version}.tar.bz2
Source1: gtv_16x16.xpm
Source2: gtv_32x32.xpm
Source3: gtv_48x48.xpm
Group: Video
URL: http://www.lokigames.com/development/smpeg.php3
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: XFree86-devel audiofile-devel esound-devel, gtk+-devel, SDL-devel >= 1.0.8
Requires: SDL >= 1.0.8

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Group: Development/Other
Requires: %{name} = %{version}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} --disable-opengl-player
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --disable-opengl-player
fi
%make

%install
rm -rf $RPM_BUILD_ROOT
#make prefix=$RPM_BUILD_ROOT/%{_prefix} install
%makeinstall

# icons
install -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT%{_miconsdir}/gtv.xpm 
install -D %{SOURCE2}   \
	$RPM_BUILD_ROOT%{_iconsdir}/gtv.xpm 
install -D %{SOURCE3}   \
	$RPM_BUILD_ROOT%{_liconsdir}/gtv.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{exec}"\\
	needs="X11"\\
	icon="gtv.xpm"\\
	section="%{section}"\\
	title="gtv Mpeg player"\\
	longtitle="gtv: MPEG player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*
%{_bindir}/plaympeg
%{_bindir}/gtv
%{_mandir}/*
%{_menudir}/smpeg
%{_iconsdir}/gtv.xpm
%{_miconsdir}/gtv.xpm
%{_liconsdir}/gtv.xpm

%files devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against fixed XFree4 by fredl

* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-9mdk
- now we have transparent icons 

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-8mdk
- removed the explicit icon path

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- explicit name for menu entry :-)

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-6mdk

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-5mdk
- make coherent menu name. Thanks Fred.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-4mdk
- rebuilt for latest SDL 1.1.4.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.0-2mdk
- macroszifications.
- BM.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- v0.4.0.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-2mdk
- fixed "Requires",

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-1mdk
- new version,
- merged with loki's original rpm (add devel rpm!).
- menu entry and icon (by Hlne Durosini) for gtv.  

* Tue Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adations.
- added BuildPreReq.
- updated to version 0.3.3.

* Wed Jan 19 2000 Sam Lantinga <hercules@lokigames.com>
- initial release.
